Bug 508441 - Review Request: sugar-view-slides - Image serie viewer for Sugar
Review Request: sugar-view-slides - Image serie viewer for Sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta SOAS-3
  Show dependency treegraph
 
Reported: 2009-06-27 04:49 EDT by Fabian Affolter
Modified: 2010-04-09 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: sugar-view-slides-8-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 22:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-06-27 04:49:40 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-view-slides.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-view-slides-8-1.fc11.src.rpm

Project URL: http://wiki.laptop.org/go/View_Slides

Description:
The View Slides activity is meant to allow the XO laptop to read
view the contents of a Zip file containing images named sequentially.
Project Gutenberg has a few books as raw scanned images, and this can
be a useful format for picture books, comic books, magazine articles,
photo essays, etc.

The interface to View Slides is similar to the core Read activity,
which should not be surprising as the toolbar code was adapted from
Read's toolbar. You can use the up and down arrows or the game
controller to move from page to page.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1438374

rpmlint output:
[fab@laptop09 noarch]$ rpmlint sugar-view-slides-8-1.fc11.noarch.rpm 
sugar-view-slides.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop09 SRPMS]$ rpmlint sugar-view-slides-8-1.fc11.src.rpm 
sugar-view-slides.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Lubomir Rintel 2009-06-27 06:38:17 EDT
* package named in accordance with license guidelines
* builds fine in mock
* source file ok
* file lists sane
* provides make sense

1.) pygame seems to be needed, but missing from Requires:

/usr/share/sugar/activities/ViewSlides.activity/viewslides.py:import pygame, pygame.display
/usr/share/sugar/activities/ViewSlides.activity/viewslides.py:from pygame.locals import *
Comment 2 Lubomir Rintel 2009-07-07 05:43:01 EDT
ping?
Comment 3 Fabian Affolter 2009-07-30 03:48:45 EDT
Sorry, thanks for your help and your patience.  I will postpone this for two weeks because I'm busy with other stuff.
Comment 4 Fabian Affolter 2009-08-01 11:24:26 EDT
* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 8-2
- Added pygame as a requirement (as mentioned in #508441) 

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-view-slides.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-view-slides-8-2.fc11.src.rpm
Comment 5 Sebastian Dziallas 2010-01-22 09:26:25 EST
Ping, what's the status here? Lubomir, do you still want to review this or should I?
Comment 6 Sebastian Dziallas 2010-02-18 14:11:29 EST
Ping? I won't be able to take it on this weekend anyway since I'll be travelling. Probably the weekend after, though.
Comment 7 Lubomir Rintel 2010-02-18 14:27:22 EST
Sorry for the delay. I'm happy with this now.

APPROVED
Comment 8 Fabian Affolter 2010-02-20 09:34:59 EST
New Package CVS Request
=======================
Package Name: sugar-view-slides
Short Description: Image serie viewer for Sugar
Owners: fab
Branches: F-11 F-12 F-13
InitialCC:
Comment 9 Jason Tibbitts 2010-02-20 13:01:52 EST
CVS done (by process-cvs-requests.py).
Comment 10 Sebastian Dziallas 2010-03-04 15:24:00 EST
Ping?
Comment 11 Fabian Affolter 2010-03-16 14:05:04 EDT
At the moment I'm still not able to build this package.

https://koji.fedoraproject.org/koji/packageinfo?packageID=9978
Comment 12 Fabian Affolter 2010-03-16 14:26:30 EDT
Sebastian, maybe you can check the spec file for meanderings from the sugar activities template.  I can find any...
Comment 13 Sebastian Dziallas 2010-03-16 18:03:28 EDT
Uh, sorry. I didn't notice that it was in fact failing. What it misses is the gettext build requirement. The build script should fail in a much nicer way and I think there used to be a ticket, but I guess that is what is preventing it from building right now.
Comment 14 Fabian Affolter 2010-03-16 19:19:35 EDT
Thanks for the hint.
Comment 15 Fedora Update System 2010-03-16 19:25:06 EDT
sugar-view-slides-8-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc12
Comment 16 Fedora Update System 2010-03-16 19:25:11 EDT
sugar-view-slides-8-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc13
Comment 17 Fedora Update System 2010-03-16 19:25:15 EDT
sugar-view-slides-8-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc11
Comment 18 Fedora Update System 2010-03-17 23:17:41 EDT
sugar-view-slides-8-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-view-slides'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc13
Comment 19 Fedora Update System 2010-03-17 23:22:04 EDT
sugar-view-slides-8-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-view-slides'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc12
Comment 20 Fedora Update System 2010-03-17 23:33:47 EDT
sugar-view-slides-8-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-view-slides'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sugar-view-slides-8-4.fc11
Comment 21 Fedora Update System 2010-03-29 22:18:42 EDT
sugar-view-slides-8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-03-29 22:19:43 EDT
sugar-view-slides-8-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-04-09 00:23:37 EDT
sugar-view-slides-8-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.